package com.example.austime.repository;

import android.content.ContentValues;
import android.content.Context;
import android.database.sqlite.SQLiteDatabase;

import com.example.austime.db.contract.TimerDBContract;
import com.example.austime.db.helper.TimerDBHelper;
import com.example.austime.model.Timer;

public class TimerRepository {

    private SQLiteDatabase db;

    public TimerRepository(Context context)
    {
        this.db = new TimerDBHelper(context).getWritableDatabase();
    }

    public long add(Timer timer)
    {
        ContentValues values = new ContentValues();
        values.put(TimerDBContract.TimerEntry.COLUMN_NAME_TITLE, timer.getTitle());
        values.put(TimerDBContract.TimerEntry.COLUMN_NAME_START_TIME, timer.getStartDate().getTimeInMillis());
        values.put(TimerDBContract.TimerEntry.COLUMN_NAME_END_TIME, timer.getEndDate().getTimeInMillis());
        values.put(TimerDBContract.TimerEntry.COLUMN_NAME_TIME, timer.getTime());

        return db.insert(TimerDBContract.TimerEntry.TABLE_NAME, null, values);
    }
}
